function FileData_Pairs(x)
{
x.t("tibemssslparams_sethostnameverifier","page");
x.t("parameter","receives");
x.t("parameter","description");
x.t("receives","three");
x.t("receives","actual");
x.t("receives","host");
x.t("receives","application-specific");
x.t("description","connected_hostname");
x.t("void","closure");
x.t("ssl","calls");
x.t("ssl","attempts");
x.t("program","default");
x.t("program","attempting");
x.t("tibems_security_exception","indicates");
x.t("type","check");
x.t("type","purpose");
x.t("public","certificate");
x.t("calls","verifier");
x.t("connection","tibemssslhostnameverifier");
x.t("tibemssslhostnameverifier","tibemssslhostnameverifier");
x.t("tibemssslhostnameverifier","const");
x.t("tibemssslhostnameverifier","function");
x.t("tibemssslhostnameverifier","chapter");
x.t("default","behavior");
x.t("default","matching");
x.t("mismatch","string");
x.t("tibems_status","tibemssslhostnameverifier");
x.t("status","code");
x.t("indicates","failed");
x.t("indicates","successful");
x.t("ems","server");
x.t("check","tibems_security_exception");
x.t("check","tibemssslparams_setexpectedhostname");
x.t("check","server");
x.t("identity","matches");
x.t("identity","based");
x.t("url","program");
x.t("url","expected");
x.t("url","hostname");
x.t("fails","ssl");
x.t("name","certificate");
x.t("name","expected");
x.t("name","client");
x.t("name","declaration");
x.t("name","server\u2019s");
x.t("name","server");
x.t("anyway","function");
x.t("char","expected_hostname");
x.t("char","connected_hostname");
x.t("char","certificate_name");
x.t("hostnames","connected");
x.t("const","char");
x.t("comparison","fails");
x.t("comparison","matching");
x.t("parameters","parameter");
x.t("verifier","function");
x.t("242","tibemssslparams_sethostnameverifier");
x.t("determine","whether");
x.t("243","tibemssslparams_setverifyhost");
x.t("attempts","verify");
x.t("final","match");
x.t("programs","define");
x.t("certificate","identity");
x.t("certificate","against");
x.t("certificate","hostname");
x.t("certificate","closure");
x.t("string","mismatch");
x.t("string","comparison");
x.t("three","hostnames");
x.t("functions","type");
x.t("attempting","connect");
x.t("failed","check");
x.t("248","tibco");
x.t("accept","hostname");
x.t("tibemssslparams_setverifyhost","page");
x.t("function","receives");
x.t("function","type");
x.t("function","determine");
x.t("function","override");
x.t("indicating","final");
x.t("chapter","connection");
x.t("define","functions");
x.t("define","hostname");
x.t("customize","different");
x.t("different","ways");
x.t("straightforward","string");
x.t("against","expected");
x.t("against","hostname");
x.t("may","define");
x.t("whether","accept");
x.t("expected_hostname","parameter");
x.t("expected_hostname","const");
x.t("ways","default");
x.t("instead","url");
x.t("typedef","tibems_status");
x.t("verify","ems");
x.t("match","result");
x.t("match","compares");
x.t("tibems_ok","indicates");
x.t("purpose","programs");
x.t("expected","name");
x.t("expected","hostname");
x.t("client","program");
x.t("client","expects");
x.t("hostname","anyway");
x.t("hostname","verifier");
x.t("hostname","may");
x.t("hostname","instead");
x.t("hostname","match");
x.t("hostname","connected");
x.t("hostname","return");
x.t("hostname","taken");
x.t("hostname","server");
x.t("connected","url");
x.t("connected","name");
x.t("code","indicating");
x.t("expects","server");
x.t("override","string");
x.t("return","status");
x.t("connected_hostname","parameter");
x.t("connected_hostname","const");
x.t("closure","parameter");
x.t("closure","parameters");
x.t("matches","hostname");
x.t("tibco","software");
x.t("actual","host");
x.t("taken","server\u2019s");
x.t("running","certificate_name");
x.t("declaration","typedef");
x.t("tibemssslparams_setexpectedhostname","page");
x.t("remarks","ssl");
x.t("page","242");
x.t("page","243");
x.t("page","248");
x.t("host","name");
x.t("data","remarks");
x.t("result","tibems_ok");
x.t("successful","check");
x.t("based","server\u2019s");
x.t("server\u2019s","public");
x.t("server\u2019s","certificate");
x.t("server\u2019s","host");
x.t("connect","expected_hostname");
x.t("compares","hostname");
x.t("certificate_name","parameter");
x.t("certificate_name","void");
x.t("behavior","customize");
x.t("behavior","straightforward");
x.t("server","identity");
x.t("server","url");
x.t("server","certificate");
x.t("server","client");
x.t("server","hostname");
x.t("server","running");
x.t("application-specific","data");
x.t("matching","hostname");
x.t("matching","behavior");
}
